=== debian/changelog ===
pure-sql3 (0.4-1) natty; urgency=low

  * Initial release

 -- Albert Graef <Dr.Graef@t-online.de>  Wed, 23 May 2012 20:16:10 +0200
