=== debian/control ===
Source: pure-sql3
Section: devel
Priority: extra
Maintainer: Albert Graef <aggraef@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), pure-dev, libsqlite3-dev
Standards-Version: 3.9.1
Homepage: http://purelang.bitbucket.org

Package: pure-sql3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SQLite interface for the Pure programming language
 Pure is a modern-style functional programming language based on term
 rewriting. This package provides a module which allows you to access SQLite
 databases in Pure. It uses version 3 of the SQLite library.
 .
 SQLite is a software library that implements an easy to use, self-contained,
 serverless, zero-configuration, transactional SQL database engine. The Pure
 module is a wrapper around SQLite's C interface that provides Pure
 programmers access to almost all of SQLite's features, including many that
 are not available through Pure's generic ODBC interface.
